%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-gnupg
Version:        0.2.6
Release:        1%{?dist}
Summary:        Python API which wraps the GNU Privacy Guard

Group:          Development/Languages
License:        BSD
URL:            http://code.google.com/p/python-gnupg/
Source0:        http://%{name}.googlecode.com/files/python-gnupg-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch      
BuildRequires:  python-devel
Requires:       gnupg

%description
The GNU Privacy Guard (gpg, or gpg.exe on Windows) is a command-line
program which provides support for programmatic access via spawning a
separate process to run it and then communicating with that process from
your program.

This project implements a Python library which takes care of the
internal details and allows its users to generate and manage keys,
encrypt and decrypt data, and sign and verify messages.

The present incarnation uses the subprocess module and so works on
Windows as well as Unix/Linux platforms. It's not, however, 100%
backwards-compatible with earlier incarnations.

%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%check
python test_gnupg.py
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitelib}/*

%changelog
* Thu Feb 17 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.2.6-1
- Update to 0.2.6

* Fri Dec 03 2010 Matěj Cepl <mcepl@redhat.com> - 0.2.5-1
- Experimental packaging effort.
